Subject: Re: linux-next: build failure after merge of the rtc tree

From: Alexandre Belloni <[email-masked]>
Date: Tue, 22 Dec 2015 20:27:51 +0100

Hi Sasha,

On 18/12/2015 at 17:43:41 +0100, Alexandre Belloni wrote :
> > > Sasha, I think I prefer having 32 bit platforms fail on the 21st of
> > > January 11761191 rather than adding more uses of do_div in the function.
> > > I'll have a look at the performance impact on 32 bit platforms.
> > 
> > I'm really fine with just adding a WARN_ON() and aborting if it's the year
> > 11761191 :)
> > 
> 
> One simple way to solve it for 64bit platforms is to define days as
> unsigned long. Maybe throw a comment that it will fail for 32bit
> platforms in January 11761191 ;).
> 

I did that:

http://git.kernel.org/cgit/linux/kernel/git/abelloni/linux.git/commit/?h=rtc-next&id=0d3da1806b985f1100615c2c09033b404941b63e

Unless you disagree, that is what I'm planning to send to Linus.

I wish you a happy end of year.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com